### Class

# Dex Object

#### Description [src]

    abstract class Dex.Object : GObject.TypeInstance
    {
      /* No available fields */
    }

`DexObject` is the basic building block of types defined within libdex. Futures, Schedulers, and Channels all inherit from DexObject which provides features like thread-safe weak pointers and memory management operations.

Objects that are integrating with GIO instead inherit from their natural type in GIO.

#### Descendants

- DexChannel
- DexFuture
- DexScheduler

#### Instance methods

###### dex_ref

Acquires a reference on the given object, and increases its reference count by one.

###### dex_unref

Releases a reference on the given object, and decreases its reference count by one.